package application.app.controller
{
	import application.app.model.RPGProxySound;
	import application.app.ApplicationFacade;
	import application.app.model.RPGProxy;

	import org.puremvc.as3.interfaces.ICommand;
	import org.puremvc.as3.interfaces.INotification;
	import org.puremvc.as3.patterns.command.SimpleCommand;

	
	/**
	 * Commande qui exécute d'autres sous-commandes
	 * 
	 * 
	 * @author matth
	 */
	public class StartGameCommand extends SimpleCommand implements ICommand
    {
 		
 		/**
 		 * Evènement ApplicationFacade.COMMAND_LOAD_MENU reçu.
 		 * Excécution du code souhaité - chargement des données du model.
 		 * 
 		 */
        override public function execute(notification:INotification):void
        {
			var sAction:String = notification.getBody() as String;
			
			if( sAction == RPGProxy.RESTART_LEVEL)	sendNotification(ApplicationFacade.RESTART_LEVEL );
			else	sendNotification(ApplicationFacade.START_GAME);// démarre une nouvelle partie	
			
			var oProxy:RPGProxy = facade.retrieveProxy(RPGProxy.NAME) as RPGProxy;
			oProxy.startFrame();
			
			var oProxySound:RPGProxySound = facade.retrieveProxy(RPGProxySound.NAME) as RPGProxySound;
			oProxySound.startBackgroundSound();
        }
 
    }


}
