package application.app.controller
{
	import application.app.model.RPGProxy;
	
	import org.puremvc.as3.interfaces.ICommand;
	import org.puremvc.as3.interfaces.INotification;
	import org.puremvc.as3.patterns.command.SimpleCommand;

	
	/**
	 * Commande qui exécute d'autres sous-commandes
	 * 
	 * 
	 * @author matth
	 */
	public class LinkMenuCommand extends SimpleCommand implements ICommand
    {
        private var oCasseBriqueProxy:RPGProxy;
 		
 		/**
 		 * Evènement ApplicationFacade.COMMAND_LOAD_MENU reçu.
 		 * Excécution du code souhaité - chargement des données du model.
 		 * 
 		 */
        override public function execute(notification:INotification):void
        {
			oCasseBriqueProxy = facade.retrieveProxy(RPGProxy.NAME) as RPGProxy;
			oCasseBriqueProxy.onItemSelectedMenuContext( String( notification.getBody() ) );
        }
 
    }


}
